searchNodes=[{"ref":"Furlex.html","title":"Furlex","type":"module","doc":"Furlex is a structured data extraction tool written in Elixir. It currently supports unfurling oEmbed, Twitter Card, Facebook Open Graph, JSON-LD and plain ole&#39; HTML &lt;meta /&gt; data out of any url you supply."},{"ref":"Furlex.html#unfurl/2","title":"Furlex.unfurl/2","type":"function","doc":"Unfurls a url unfurl/1 fetches oembed data if applicable to the given url&#39;s host, in addition to Twitter Card, Open Graph, JSON-LD and other HTML meta tags. unfurl/2 also accepts a keyword list that will be passed to HTTPoison."},{"ref":"Furlex.html#t:t/0","title":"Furlex.t/0","type":"type","doc":""},{"ref":"Furlex.Fetcher.html","title":"Furlex.Fetcher","type":"module","doc":"A module for fetching body data for a given url"},{"ref":"Furlex.Fetcher.html#fetch/2","title":"Furlex.Fetcher.fetch/2","type":"function","doc":"Fetches a url and extracts the body"},{"ref":"Furlex.Fetcher.html#fetch_oembed/2","title":"Furlex.Fetcher.fetch_oembed/2","type":"function","doc":"Fetches oembed data for the given url"},{"ref":"Furlex.Oembed.html","title":"Furlex.Oembed","type":"module","doc":"A module for managing oembed data"},{"ref":"Furlex.Oembed.html#child_spec/1","title":"Furlex.Oembed.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Furlex.Oembed.html#delete/3","title":"Furlex.Oembed.delete/3","type":"function","doc":"Issues a DELETE request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#delete!/3","title":"Furlex.Oembed.delete!/3","type":"function","doc":"Issues a DELETE request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#endpoint_from_url/3","title":"Furlex.Oembed.endpoint_from_url/3","type":"function","doc":"Returns an Oembed endpoint for the given url Examples iex&gt; Oembed.endpoint_from_url &quot;https://vimeo.com/88856141&quot; iex&gt; Oembed.endpoint_from_url &quot;https://vimeo.com/88856141&quot;, %{&quot;format&quot; =&gt; &quot;xml&quot;}"},{"ref":"Furlex.Oembed.html#fetch_providers/1","title":"Furlex.Oembed.fetch_providers/1","type":"function","doc":"Fetches the list of Oembed providers Soft fetch will fetch cached providers. Hard fetch requests providers from oembed.com and purges the cache."},{"ref":"Furlex.Oembed.html#get/3","title":"Furlex.Oembed.get/3","type":"function","doc":"Issues a GET request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#get!/3","title":"Furlex.Oembed.get!/3","type":"function","doc":"Issues a GET request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#head/3","title":"Furlex.Oembed.head/3","type":"function","doc":"Issues a HEAD request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#head!/3","title":"Furlex.Oembed.head!/3","type":"function","doc":"Issues a HEAD request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#init/1","title":"Furlex.Oembed.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Furlex.Oembed.html#options/3","title":"Furlex.Oembed.options/3","type":"function","doc":"Issues an OPTIONS request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#options!/3","title":"Furlex.Oembed.options!/3","type":"function","doc":"Issues a OPTIONS request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#patch/4","title":"Furlex.Oembed.patch/4","type":"function","doc":"Issues a PATCH request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#patch!/4","title":"Furlex.Oembed.patch!/4","type":"function","doc":"Issues a PATCH request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#post/4","title":"Furlex.Oembed.post/4","type":"function","doc":"Issues a POST request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#post!/4","title":"Furlex.Oembed.post!/4","type":"function","doc":"Issues a POST request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#process_headers/1","title":"Furlex.Oembed.process_headers/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_headers/1."},{"ref":"Furlex.Oembed.html#process_request_body/1","title":"Furlex.Oembed.process_request_body/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_request_body/1."},{"ref":"Furlex.Oembed.html#process_request_headers/1","title":"Furlex.Oembed.process_request_headers/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_request_headers/1."},{"ref":"Furlex.Oembed.html#process_request_options/1","title":"Furlex.Oembed.process_request_options/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_request_options/1."},{"ref":"Furlex.Oembed.html#process_request_params/1","title":"Furlex.Oembed.process_request_params/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_request_params/1."},{"ref":"Furlex.Oembed.html#process_request_url/1","title":"Furlex.Oembed.process_request_url/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_request_url/1."},{"ref":"Furlex.Oembed.html#process_response/1","title":"Furlex.Oembed.process_response/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_response/1."},{"ref":"Furlex.Oembed.html#process_response_body/1","title":"Furlex.Oembed.process_response_body/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_response_body/1."},{"ref":"Furlex.Oembed.html#process_response_chunk/1","title":"Furlex.Oembed.process_response_chunk/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_response_chunk/1."},{"ref":"Furlex.Oembed.html#process_response_headers/1","title":"Furlex.Oembed.process_response_headers/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_response_headers/1."},{"ref":"Furlex.Oembed.html#process_response_status_code/1","title":"Furlex.Oembed.process_response_status_code/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_response_status_code/1."},{"ref":"Furlex.Oembed.html#process_status_code/1","title":"Furlex.Oembed.process_status_code/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_status_code/1."},{"ref":"Furlex.Oembed.html#process_url/1","title":"Furlex.Oembed.process_url/1","type":"function","doc":"Callback implementation for HTTPoison.Base.process_url/1."},{"ref":"Furlex.Oembed.html#put/4","title":"Furlex.Oembed.put/4","type":"function","doc":"Issues a PUT request to the given url. Returns {:ok, response} if the request is successful, {:error, reason} otherwise. See request/5 for more detailed information."},{"ref":"Furlex.Oembed.html#put!/4","title":"Furlex.Oembed.put!/4","type":"function","doc":"Issues a PUT request to the given url, raising an exception in case of failure. If the request does not fail, the response is returned. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#request/1","title":"Furlex.Oembed.request/1","type":"function","doc":"Issues an HTTP request using a Request struct. This function returns {:ok, response} or {:ok, async_response} if the request is successful, {:error, reason} otherwise. Examples request = %HTTPoison.Request{ method: :post, url: &quot;https://my.website.com&quot;, body: &quot;{\\&quot;foo\\&quot;: 3}&quot;, headers: [{&quot;Accept&quot;, &quot;application/json&quot;}] } request(request)"},{"ref":"Furlex.Oembed.html#request/5","title":"Furlex.Oembed.request/5","type":"function","doc":"Issues an HTTP request with the given method to the given url. This function is usually used indirectly by get/3, post/4, put/4, etc Args: method - HTTP method as an atom (:get, :head, :post, :put, :delete, etc.) url - target url as a binary string or char list body - request body. See more below headers - HTTP headers as an orddict (e.g., [{&quot;Accept&quot;, &quot;application/json&quot;}]) options - Keyword list of options Body: see type HTTPoison.Request Options: see type HTTPoison.Request This function returns {:ok, response} or {:ok, async_response} if the request is successful, {:error, reason} otherwise. Examples request(:post, &quot;https://my.website.com&quot;, &quot;{\\&quot;foo\\&quot;: 3}&quot;, [{&quot;Accept&quot;, &quot;application/json&quot;}])"},{"ref":"Furlex.Oembed.html#request!/5","title":"Furlex.Oembed.request!/5","type":"function","doc":"Issues an HTTP request with the given method to the given url, raising an exception in case of failure. request!/5 works exactly like request/5 but it returns just the response in case of a successful request, raising an exception in case the request fails."},{"ref":"Furlex.Oembed.html#start/0","title":"Furlex.Oembed.start/0","type":"function","doc":"Starts HTTPoison and its dependencies."},{"ref":"Furlex.Oembed.html#stream_next/1","title":"Furlex.Oembed.stream_next/1","type":"function","doc":"Requests the next message to be streamed for a given HTTPoison.AsyncResponse. See request!/5 for more detailed information."},{"ref":"Furlex.Oembed.html#t:body/0","title":"Furlex.Oembed.body/0","type":"type","doc":""},{"ref":"Furlex.Oembed.html#t:headers/0","title":"Furlex.Oembed.headers/0","type":"type","doc":""},{"ref":"Furlex.Oembed.html#t:options/0","title":"Furlex.Oembed.options/0","type":"type","doc":""},{"ref":"Furlex.Oembed.html#t:params/0","title":"Furlex.Oembed.params/0","type":"type","doc":""},{"ref":"Furlex.Oembed.html#t:request/0","title":"Furlex.Oembed.request/0","type":"type","doc":""},{"ref":"Furlex.Oembed.html#t:url/0","title":"Furlex.Oembed.url/0","type":"type","doc":""},{"ref":"Furlex.Parser.html","title":"Furlex.Parser","type":"behaviour","doc":""},{"ref":"Furlex.Parser.html#extract/3","title":"Furlex.Parser.extract/3","type":"function","doc":"Extracts the given tags from the given raw html according to the given match function"},{"ref":"Furlex.Parser.html#extract_canonical/1","title":"Furlex.Parser.extract_canonical/1","type":"function","doc":"Extracts a canonical url from the given raw HTML"},{"ref":"Furlex.Parser.html#group_keys/1","title":"Furlex.Parser.group_keys/1","type":"function","doc":"Groups colon-separated keys into dynamic map structures Examples iex&gt; Application.put_env(:furlex, :group_keys?, false) iex&gt; Furlex.Parser.group_keys %{&quot;twitter:app:id&quot; =&gt; 123, &quot;twitter:app:name&quot; =&gt; &quot;YouTube&quot;} %{&quot;twitter:app:id&quot; =&gt; 123, &quot;twitter:app:name&quot; =&gt; &quot;YouTube&quot;} iex&gt; Application.put_env(:furlex, :group_keys?, true) iex&gt; Furlex.Parser.group_keys %{&quot;twitter:app:id&quot; =&gt; 123, &quot;twitter:app:name&quot; =&gt; &quot;YouTube&quot;} %{ &quot;twitter&quot; =&gt; %{ &quot;app&quot; =&gt; %{ &quot;id&quot; =&gt; 123, &quot;name&quot; =&gt; &quot;YouTube&quot; } } }"},{"ref":"Furlex.Parser.html#c:parse/1","title":"Furlex.Parser.parse/1","type":"callback","doc":"Parses the given HTML, returning a map structure of structured data keys mapping to their respective values, or an error."},{"ref":"Furlex.Parser.Facebook.html","title":"Furlex.Parser.Facebook","type":"module","doc":""},{"ref":"Furlex.Parser.Facebook.html#parse/1","title":"Furlex.Parser.Facebook.parse/1","type":"function","doc":"Parses the given HTML, returning a map structure of structured data keys mapping to their respective values, or an error. Callback implementation for Furlex.Parser.parse/1."},{"ref":"Furlex.Parser.Facebook.html#tags/0","title":"Furlex.Parser.Facebook.tags/0","type":"function","doc":""},{"ref":"Furlex.Parser.HTML.html","title":"Furlex.Parser.HTML","type":"module","doc":""},{"ref":"Furlex.Parser.HTML.html#parse/1","title":"Furlex.Parser.HTML.parse/1","type":"function","doc":"Parses the given HTML, returning a map structure of structured data keys mapping to their respective values, or an error. Callback implementation for Furlex.Parser.parse/1."},{"ref":"Furlex.Parser.JsonLD.html","title":"Furlex.Parser.JsonLD","type":"module","doc":""},{"ref":"Furlex.Parser.JsonLD.html#parse/1","title":"Furlex.Parser.JsonLD.parse/1","type":"function","doc":"Parses the given HTML, returning a map structure of structured data keys mapping to their respective values, or an error. Callback implementation for Furlex.Parser.parse/1."},{"ref":"Furlex.Parser.Twitter.html","title":"Furlex.Parser.Twitter","type":"module","doc":""},{"ref":"Furlex.Parser.Twitter.html#parse/1","title":"Furlex.Parser.Twitter.parse/1","type":"function","doc":"Parses the given HTML, returning a map structure of structured data keys mapping to their respective values, or an error. Callback implementation for Furlex.Parser.parse/1."},{"ref":"readme.html","title":"Furlex","type":"extras","doc":"Furlex Furlex is a structured data extraction tool written in Elixir. It currently supports unfurling oEmbed, Twitter Card, Facebook Open Graph, JSON-LD and plain ole&#39; HTML &lt;meta /&gt; data out of any url you supply."},{"ref":"readme.html#installation","title":"Furlex - Installation","type":"extras","doc":"Add :furlex to your list of dependencies in mix.exs: def deps do [{:furlex, &quot;~&gt; 0.4.0&quot;}] end Then run $ mix deps.get. Also add :furlex to your applications list: def application do [applications: [:furlex]] end Jason is the default json library in Furlex. You can however configure Furlex to use another library. For example: config :furlex, :json_library, YourLibraryOfChoice"},{"ref":"readme.html#usage","title":"Furlex - Usage","type":"extras","doc":"To unfurl a url, simply pass it to Furlex.unfurl/1 iex(1)&gt; Furlex.unfurl &quot;https://www.youtube.com/watch?v=Gh6H7Md_L2k&quot; {:ok, %Furlex{canonical_url: &quot;https://www.youtube.com/watch?v=Gh6H7Md_L2k&quot;, facebook: %{&quot;fb:app_id&quot; =&gt; &quot;87741124305&quot;, &quot;og:description&quot; =&gt; &quot;Watch the full episode: https://www.thisoldhouse.com/watch/ask-toh-future-house-offerman Ask This Old House host Kevin O’Connor visits Nick Offerman in Los A...&quot;, &quot;og:image&quot; =&gt; &quot;https://i.ytimg.com/vi/Gh6H7Md_L2k/maxresdefault.jpg&quot;, &quot;og:site_name&quot; =&gt; &quot;YouTube&quot;, &quot;og:title&quot; =&gt; &quot;Touring Nick Offerman’s Wood Shop&quot;, &quot;og:type&quot; =&gt; &quot;video&quot;, &quot;og:url&quot; =&gt; &quot;https://www.youtube.com/watch?v=Gh6H7Md_L2k&quot;, &quot;og:video:height&quot; =&gt; [&quot;720&quot;, &quot;720&quot;], &quot;og:video:secure_url&quot; =&gt; [&quot;https://www.youtube.com/embed/Gh6H7Md_L2k&quot;, &quot;https://www.youtube.com/v/Gh6H7Md_L2k?version=3&amp;autohide=1&quot;], &quot;og:video:type&quot; =&gt; [&quot;text/html&quot;, &quot;application/x-shockwave-flash&quot;], &quot;og:video:url&quot; =&gt; [&quot;https://www.youtube.com/embed/Gh6H7Md_L2k&quot;, &quot;http://www.youtube.com/v/Gh6H7Md_L2k?version=3&amp;autohide=1&quot;], &quot;og:video:width&quot; =&gt; [&quot;1280&quot;, &quot;1280&quot;]}, json_ld: [%{&quot;@context&quot; =&gt; &quot;http://schema.org&quot;, &quot;@type&quot; =&gt; &quot;BreadcrumbList&quot;, &quot;itemListElement&quot; =&gt; [%{&quot;@type&quot; =&gt; &quot;ListItem&quot;, &quot;item&quot; =&gt; %{&quot;@id&quot; =&gt; &quot;http://www.youtube.com/user/thisoldhouse&quot;, &quot;name&quot; =&gt; &quot;This Old House&quot;}, &quot;position&quot; =&gt; 1}]}], oembed: %{&quot;author_name&quot; =&gt; &quot;This Old House&quot;, &quot;author_url&quot; =&gt; &quot;https://www.youtube.com/user/thisoldhouse&quot;, &quot;height&quot; =&gt; 270, &quot;html&quot; =&gt; &quot;&lt;iframe width=\\&quot;480\\&quot; height=\\&quot;270\\&quot; src=\\&quot;https://www.youtube.com/embed/Gh6H7Md_L2k?feature=oembed\\&quot; frameborder=\\&quot;0\\&quot; gesture=\\&quot;media\\&quot; allow=\\&quot;encrypted-media\\&quot; allowfullscreen&gt;&lt;/iframe&gt;&quot;, &quot;provider_name&quot; =&gt; &quot;YouTube&quot;, &quot;provider_url&quot; =&gt; &quot;https://www.youtube.com/&quot;, &quot;thumbnail_height&quot; =&gt; 360, &quot;thumbnail_url&quot; =&gt; &quot;https://i.ytimg.com/vi/Gh6H7Md_L2k/hqdefault.jpg&quot;, &quot;thumbnail_width&quot; =&gt; 480, &quot;title&quot; =&gt; &quot;Touring Nick Offerman’s Wood Shop&quot;, &quot;type&quot; =&gt; &quot;video&quot;, &quot;version&quot; =&gt; &quot;1.0&quot;, &quot;width&quot; =&gt; 480}, other: %{&quot;description&quot; =&gt; &quot;Watch the full episode: https://www.thisoldhouse.com/watch/ask-toh-future-house-offerman Ask This Old House host Kevin O’Connor visits Nick Offerman in Los A...&quot;, &quot;keywords&quot; =&gt; &quot;this old house, how-to, home improvement, Episode, TV Show, DIY, Ask This Old House, Nick Offerman, Kevin O&#39;Connor, woodworking, wood shop&quot;, &quot;theme-color&quot; =&gt; &quot;#ff0000&quot;, &quot;title&quot; =&gt; &quot;Touring Nick Offerman’s Wood Shop&quot;}, status_code: 200, twitter: %{&quot;twitter:app:id:googleplay&quot; =&gt; &quot;com.google.android.youtube&quot;, &quot;twitter:app:id:ipad&quot; =&gt; &quot;544007664&quot;, &quot;twitter:app:id:iphone&quot; =&gt; &quot;544007664&quot;, &quot;twitter:app:name:googleplay&quot; =&gt; &quot;YouTube&quot;, &quot;twitter:app:name:ipad&quot; =&gt; &quot;YouTube&quot;, &quot;twitter:app:name:iphone&quot; =&gt; &quot;YouTube&quot;, &quot;twitter:app:url:googleplay&quot; =&gt; &quot;https://www.youtube.com/watch?v=Gh6H7Md_L2k&quot;, &quot;twitter:app:url:ipad&quot; =&gt; &quot;vnd.youtube://www.youtube.com/watch?v=Gh6H7Md_L2k&amp;feature=applinks&quot;, &quot;twitter:app:url:iphone&quot; =&gt; &quot;vnd.youtube://www.youtube.com/watch?v=Gh6H7Md_L2k&amp;feature=applinks&quot;, &quot;twitter:card&quot; =&gt; &quot;player&quot;, &quot;twitter:description&quot; =&gt; &quot;Watch the full episode: https://www.thisoldhouse.com/watch/ask-toh-future-house-offerman Ask This Old House host Kevin O’Connor visits Nick Offerman in Los A...&quot;, &quot;twitter:image&quot; =&gt; &quot;https://i.ytimg.com/vi/Gh6H7Md_L2k/maxresdefault.jpg&quot;, &quot;twitter:player&quot; =&gt; &quot;https://www.youtube.com/embed/Gh6H7Md_L2k&quot;, &quot;twitter:player:height&quot; =&gt; &quot;720&quot;, &quot;twitter:player:width&quot; =&gt; &quot;1280&quot;, &quot;twitter:site&quot; =&gt; &quot;@youtube&quot;, &quot;twitter:title&quot; =&gt; &quot;Touring Nick Offerman’s Wood Shop&quot;, &quot;twitter:url&quot; =&gt; &quot;https://www.youtube.com/watch?v=Gh6H7Md_L2k&quot;}}}"},{"ref":"readme.html#configuration","title":"Furlex - Configuration","type":"extras","doc":"Furlex accepts a few optional configuration parameters. You may configure additional tags to capture under the Facebook OpenGraph and TwitterCard parsers. config :furlex, Furlex.Parser.Facebook, tags: ~w(my:custom:facebook:tag another:custom:facebook:tag) config :furlex, Furlex.Parser.Twitter, tags: ~w(my:custom:twitter:tag) You may also configure the depth of the resulting Furlex map with a :group_keys? boolean. config :furlex, group_keys?: true If this option is set to false or unconfigured, Furlex will return values mapped directly beneath OpenGraph and TwitterCard keys, i.e. %Furlex{twitter: %{ &quot;twitter:app:id:googleplay&quot; =&gt; &quot;com.google.android.youtube&quot;, &quot;twitter:app:id:ipad&quot; =&gt; &quot;544007664&quot;, &quot;twitter:app:id:iphone&quot; =&gt; &quot;544007664&quot; }} If true, Furlex will return values grouped into colon-delimited map structures, i.e. %Furlex{twitter: %{ &quot;twitter&quot; =&gt; %{ &quot;app&quot; =&gt; %{ &quot;id&quot; =&gt; %{ &quot;googleplay&quot; =&gt; &quot;com.google.android.youtube&quot;, &quot;ipad&quot; =&gt; &quot;544007664&quot;, &quot;iphone&quot; =&gt; &quot;544007664&quot; } } } }}"},{"ref":"readme.html#license","title":"Furlex - License","type":"extras","doc":"Copyright 2017 Clayton Gentry Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0` Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License."},{"ref":"changelog.html","title":"Changelog","type":"extras","doc":"Changelog"},{"ref":"changelog.html#v-0-4-0","title":"Changelog - v.0.4.0","type":"extras","doc":"Make json library configurable, default to Jason (abitdodgy) Bump HTTPoison to 1.5 (abitdodgy)"},{"ref":"changelog.html#v-0-3-3","title":"Changelog - v.0.3.3","type":"extras","doc":"Supports fetch options passed through unfurl (thanks aliou!)"},{"ref":"changelog.html#v-0-3-2","title":"Changelog - v.0.3.2","type":"extras","doc":"Remove usage of Mix.env() for segmenting app logic. Instead, leverage test bypasses where needed (h/t Luciam91) Strip out needless cruft from test fixtures."},{"ref":"changelog.html#v-0-3-1","title":"Changelog - v.0.3.1","type":"extras","doc":"Fix handling of duplicate HTML meta tags"},{"ref":"changelog.html#v-0-3-0","title":"Changelog - v.0.3.0","type":"extras","doc":"Individual fetch and parse operations now run asynchronously"},{"ref":"changelog.html#v-0-2-2","title":"Changelog - v.0.2.2","type":"extras","doc":"Furlex now supports passing HTTP options to Furlex.unfurl/2. :depth config has been transformed to a :group_keys? boolean."},{"ref":"changelog.html#v-0-2-1","title":"Changelog - v.0.2.1","type":"extras","doc":"Add status code to %Furlex{} structure (thanks abitdodgy) Fix compatibility with Phoenix 1.3 (thanks, again, abitdodgy!)"},{"ref":"changelog.html#v-0-2-0","title":"Changelog - v.0.2.0","type":"extras","doc":"Support configuration for grouping colon-delimited keys into map structures Don&#39;t require explicitly configuring OpenGraph and TwitterCard tags in your app config. Enable adding custom tags under OpenGraph and TwitterCard parsers."},{"ref":"changelog.html#v-0-1-3","title":"Changelog - v.0.1.3","type":"extras","doc":"Add typespecs, better examples to documentation"},{"ref":"changelog.html#v-0-1-2","title":"Changelog - v.0.1.2","type":"extras","doc":"Parse colon-separated OpenGraph and Twitter Card keywords into map structures E.g. %{&quot;twitter:app:id&quot; =&gt; 123} becomes %{&quot;twitter&quot; =&gt; %{&quot;app&quot; =&gt; %{&quot;id&quot; =&gt; 123}}}"},{"ref":"changelog.html#v-0-1-1","title":"Changelog - v.0.1.1","type":"extras","doc":"Fix test-breaking bug when included as hex dependency Add tags"},{"ref":"changelog.html#v-0-1-0","title":"Changelog - v.0.1.0","type":"extras","doc":"Support unfurling oEmbed, Facebook Open Graph, Twitter Card, JSON-LD and other HTML meta tags. Extract canonical urls"}]